> ## Documentation Index
> Fetch the complete documentation index at: https://ekso.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new custom integer field.



## OpenAPI

````yaml /api-reference/openapi.json post /api/field/integer
openapi: 3.1.1
info:
  title: EKSO.API
  description: >-
    REST API for EKSO — ticketing, help desk, project management, resource
    planning, and time tracking.
  contact:
    name: Ekso
    url: https://ekso.dev
  version: v1
servers:
  - url: https://{install}
    description: Your self-hosted Ekso install
    variables:
      install:
        default: your-ekso-install.example.com
        description: Your install hostname (the PublicUrl set in /startup)
security: []
tags:
  - name: Clock
  - name: Process
  - name: Rule
  - name: Watch
  - name: User
  - name: UserGroup
  - name: Time
  - name: AppSetting
  - name: Hook
  - name: Tenant
  - name: OutboundStorage
  - name: Plan
  - name: Notification
  - name: MailGeneral
  - name: Mailbox
  - name: OutboundMail
  - name: Ticket
  - name: Link
  - name: Item
  - name: Screen
  - name: BudgetReason
  - name: CostCenter
  - name: Crm
  - name: JobRole
  - name: NonBillable
  - name: Reporting
  - name: Sku
  - name: File
  - name: Docs
  - name: Constraint
  - name: ContentTemplate
  - name: Field
  - name: Area
  - name: Container
  - name: Label
  - name: Board
  - name: Cycle
  - name: AccessControl
  - name: Config
  - name: EntraMeta
  - name: Meta
  - name: Annotation
  - name: Chat
  - name: ApiKey
paths:
  /api/field/integer:
    post:
      tags:
        - Field
      summary: Creates a new custom integer field.
      operationId: Field_createInteger
      requestBody:
        description: The integer field definition to create.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataFieldInteger'
          application/*+json:
            schema:
              $ref: '#/components/schemas/DataFieldInteger'
        required: true
      responses:
        '200':
          description: Integer field created successfully.
          content:
            application/json: {}
        '400':
          description: Validation error — field-level errors in Fields[]
        '403':
          description: Permission denied — insufficient permissions
        '422':
          description: Business rule violation — logic error
        '500':
          description: Internal server error
      security:
        - Bearer: []
components:
  schemas:
    DataFieldInteger:
      type: object
      properties:
        entity:
          type:
            - 'null'
            - string
        fieldType:
          type:
            - 'null'
            - string
        minimum:
          type: integer
          format: int32
        maximum:
          type: integer
          format: int32
        defaultValue:
          type: string
        name:
          type: string
        prompt:
          type: string
        description:
          type: string
        isCore:
          type: boolean
        isFeature:
          type: boolean
        featureName:
          type: string
        placement:
          type: array
          items:
            $ref: '#/components/schemas/FieldPlacement'
        usage:
          type: array
          items:
            $ref: '#/components/schemas/FieldUsage'
        listEditable:
          type: boolean
        tenantId:
          type: string
        id:
          type: string
        created:
          type: string
          format: date-time
        createdBy:
          type: string
        updated:
          type: string
          format: date-time
        updatedBy:
          type: string
        deleted:
          type: boolean
    FieldPlacement:
      type: integer
    FieldUsage:
      type: integer
  securitySchemes:
    Bearer:
      type: http
      description: JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
      scheme: bearer
      bearerFormat: JWT

````